# Uses of Class
org.eclipse.net4j.util.collection.Tree.Builder

Packages that use Tree.Builder
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.

## Uses of Tree.Builder in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection that return Tree.Builder
Modifier and Type
Method
Description
`Tree.Builder`
Tree.Builder.`addAttributes(Map<String,String> attributes)`
`Tree.Builder`
Tree.Builder.`addChild(Consumer<Tree.Builder> childInitializer)`
`Tree.Builder`
Tree.Builder.`addChild(Tree child)`
`Tree.Builder`
Tree.Builder.`addChild(Tree.Builder child)`
`Tree.Builder`
Tree.Builder.`addChildren(Tree.Builder... children)`
`static Tree.Builder`
Tree.`builder()`
`static Tree.Builder`
Tree.`builder(Tree source)`
`Tree.Builder`
Tree.Builder.`child(int index)`
`Tree.Builder`
Tree.Builder.`child(String name)`
`Tree.Builder`
Tree.Builder.`parent()`
`Tree.Builder`
Tree.Builder.`removeChild(Tree.Builder child)`
`Tree.Builder`
Tree.Builder.`removeChildren(Tree.Builder... children)`
`Tree.Builder`
Tree.Builder.`setAttribute(String name, String value)`
`Tree.Builder`
Tree.Builder.`setAttributes(Map<String,String> attributes)`
`Tree.Builder`
Tree.Builder.`setName(String name)`
`Tree.Builder`
Tree.Builder.`setParent(Tree.Builder parent)`
`Tree.Builder`
Tree.Builder.`unsetAttribute(String name)`
`Tree.Builder`
Tree.Builder.`unsetAttributes()`
`Tree.Builder`
Tree.Builder.`unsetAttributes(Set<String> names)`
Methods in org.eclipse.net4j.util.collection that return types with arguments of type Tree.Builder
Modifier and Type
Method
Description
`List<Tree.Builder>`
Tree.Builder.`allChildren()`
`List<Tree.Builder>`
Tree.Builder.`allChildren(String name)`
`List<Tree.Builder>`
Tree.Builder.`children()`
`List<Tree.Builder>`
Tree.Builder.`children(String name)`
Methods in org.eclipse.net4j.util.collection with parameters of type Tree.Builder
Modifier and Type
Method
Description
`Tree.Builder`
Tree.Builder.`addChild(Tree.Builder child)`
`Tree.Builder`
Tree.Builder.`addChildren(Tree.Builder... children)`
`int`
Tree.Builder.`compareTo(Tree.Builder o)`
`int`
Tree.Builder.`indexOfChild(Tree.Builder child)`
`Tree.Builder`
Tree.Builder.`removeChild(Tree.Builder child)`
`Tree.Builder`
Tree.Builder.`removeChildren(Tree.Builder... children)`
`Tree.Builder`
Tree.Builder.`setParent(Tree.Builder parent)`
Method parameters in org.eclipse.net4j.util.collection with type arguments of type Tree.Builder
Modifier and Type
Method
Description
`Tree.Builder`
Tree.Builder.`addChild(Consumer<Tree.Builder> childInitializer)`
`void`
Tree.Builder.`allChildren(String name, Consumer<Tree.Builder> consumer)`
`void`
Tree.Builder.`allChildren(Consumer<Tree.Builder> consumer)`
`void`
Tree.Builder.`children(String name, Consumer<Tree.Builder> consumer)`
`void`
Tree.Builder.`children(Consumer<Tree.Builder> consumer)`
`<DATA> DATA`
Tree.Builder.`visit(BiFunction<Tree.Builder,DATA,DATA> visitor, DATA data)`